﻿
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SecsTranslatorEditor.Helpers
{
	/// <summary>
	/// Provides a container class which contains information about the result of a search in a file.
	/// </summary>
	public class FindResultInfo
	{
		/// <summary>
		/// Initializes a new instance of the FindResultInfo class.
		/// </summary>
		public FindResultInfo()
		{
			Row = 0;
			Text = string.Empty;
			Offset = 0;
		}

		#region Public Properties
		/// <summary>
		/// Gets or sets the number of the row where the found text is situated.
		/// </summary>
		public int Row { get; set; }

		/// <summary>
		/// Gets or sets the text.
		/// </summary>
		public string Text { get; set; }

		/// <summary>
		/// Gets or sets the offset of the row where the found text is situated.
		/// </summary>
		public int Offset { get; set; }

		/// <summary>
		/// Gets or sets the pattern the text was searched for.
		/// </summary>
		public string Pattern { get; set; }
		#endregion
	}
}
