﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Documents;
using System.Windows.Media;

namespace SecsTranslatorEditor.SecsLanguage.Formatters
{
	/// <summary>
	/// Represents a typical keyword formatter used to visualize most of the SECS language elements 
	/// that are of a particular interest.
	/// </summary>
	internal class TypicalKeywordFormatter : ISecsLanguageElementFormatter
	{
		#region Public Methods
		/// <summary>
		/// Formats the provided Inline element.
		/// </summary>
		/// <param name="inline">The element that should be formatted.</param>
		/// <returns>The formatted Inline element.</returns>
		public Inline Format(Inline inline)
		{
			inline.Foreground = new SolidColorBrush(Colors.Blue);
			inline.FontWeight = FontWeights.DemiBold;

			return inline;
		}
		#endregion
	}
}
